/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  Liut
*版  本:  V1.00
*日  期:  2017/06/25
*描  述:  SPI EEPROM Demo
          引脚连接:
          ------------------------
          SPI EEPROM:
          ------------------------
          NSS - PA27,
          SCK - PA26,
          MISO - PA25,
          MOSI - PA24
          ------------------------
          UART:
          ------------------------
          TXD - PA15
          RXD - PA16
          ------------------------
                    本例程使用的外部Flash型号为93AA46A，可直接连接通用开发板HRSDK-GMB-01
                    使用ES-Bridge的UART接收打印数据。
*备  注:  适用于HRSDK-GDB-ES8P508x V1.0
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

int main(void)
{
    uint8_t w_buffer[1] = {0xCD};
    uint8_t r_buffer[1] = {0x0};

    PLLClock_Config(ENABLE, SCU_PLL_HRC, SCU_PLL_48M, ENABLE);    /* PLL倍频至48MHz */
    SystemCoreClock = 48000000;
    SystemInit();
    DeviceClockAllEnable();
    SysTickInit();

    E2rom_init();

    E2romEraseAll();
    E2romWriteData(0x00, w_buffer[0]);
    printf("E2ROM writeten finished, content: %d\n\r", w_buffer[0]);

    E2romReadData(0x00, r_buffer);
    printf("Content readout from E2ROM: %d\n\r\n\r", r_buffer[0]);

    while (1)
    {
    }
}
